// Header file for MMX QSound module
//   by Daniel Moreno (ComaC) - 2001  < comac2k@teleline.es >

extern "C" int __cdecl ChannelMix_8S(int *Dest, int nLen,
                         char *Sample, int LoopEnd,
                         int *Pos,
                         int VolL, int VolR,
                         int LoopLen,
                         int IncPos);
extern "C" int __cdecl ChannelMix_8U(int *Dest, int nLen,
                         unsigned char *Sample, int LoopEnd,
                         int *Pos,
                         int VolL, int VolR,
                         int LoopLen,
                         int IncPos);

extern "C" void __cdecl AdaptSoundBuff(int *Src, short *Dest, int Len);
extern "C" void __cdecl AdaptSoundBuff_Add(int *Src, short *Dest, int Len);
extern "C" void cmc_4p_Precalc();

extern short *Precalc;
extern "C" short PrecalcData[4096 * 4];

